Delete Group
curl --request DELETE \
--url https://api.trieve.ai/api/chunk_group/{group_id} \
--header 'Authorization: <api-key>' \
--header 'TR-Dataset: <tr-dataset>'import requests
url = "https://api.trieve.ai/api/chunk_group/{group_id}"
headers = {
"TR-Dataset": "<tr-dataset>",
"Authorization": "<api-key>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'TR-Dataset': '<tr-dataset>', Authorization: '<api-key>'}
};
fetch('https://api.trieve.ai/api/chunk_group/{group_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Bad Request"
}Chunk Group
Delete Group
This will delete a chunk_group. If you set delete_chunks to true, it will also delete the chunks within the group. Auth’ed user or api key must have an admin or owner role for the specified dataset’s organization.
DELETE
/
api
/
chunk_group
/
{group_id}
Delete Group
Authorizations
Headers
The dataset id or tracking_id to use for the request. We assume you intend to use an id if the value is a valid uuid.
Path Parameters
Id of the group you want to fetch.
Query Parameters
Delete the chunks within the group
Response
Confirmation that the chunkGroup was deleted
Was this page helpful?
⌘I